Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class MeetingAttendanceTracking.MeetingResponseStatus

    java.lang.Object
      portlets.compoze.groupware.calendar.MeetingAttendanceTracking.MeetingResponseStatus

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MeetingAttendanceTracking

public static class MeetingAttendanceTracking.MeetingResponseStatus
extends java.lang.Object
implements java.io.Serializable

This class represents meeting response status.

See Also:
  Serialized Form

Field Summary
`static MeetingAttendanceTracking.MeetingResponseStatus` | `ACCEPTED` This value represents an 'accepted' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `COUNTERED` This value represents a 'countered' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `DECLINED` This value represents a 'declined' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `DELEGATED` This value represents a 'delegated' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `NONE` This value represents a 'none' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `RESERVATION_ACCEPTED` This value represents a 'reservation accepted' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `RESERVATION_DECLINED` This value represents a 'reservation declined' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `RESERVATION_TENTATIVE` This value represents a 'reservation tentative' meeting response status.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `TENTATIVE` This value represents a 'tentative' meeting response status.
`static int` | `VALUE_ACCEPTED` This value represents the 'accepted' value.
`static int` | `VALUE_COUNTERED` This value represents the 'countered' value.
`static int` | `VALUE_DECLINED` This value represents the 'declined' value.
`static int` | `VALUE_DELEGATED` This value represents the 'delegated' value.
`static int` | `VALUE_NONE` This value represents the 'none' value.
`static int` | `VALUE_RESERVATION_ACCEPTED` This value represents the 'reservation accepted' value.
`static int` | `VALUE_RESERVATION_DECLINED` This value represents the 'reservation declined' value.
`static int` | `VALUE_RESERVATION_TENTATIVE` This value represents the 'reservation tentative' value.
`static int` | `VALUE_TENTATIVE` This value represents the 'tentative' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static MeetingAttendanceTracking.MeetingResponseStatus` | `get(int iValue)` Gets the meeting response status by the value.
`java.lang.String` | `getKey()` Gets the key (resource name) for i18n.
`static java.util.List` | `getMeetingResponseStatuss()` Gets the list of meeting response status objects.
`int` | `getValue()` Gets the value of the meeting response status.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NONE

    public static final int VALUE_NONE

  This value represents the 'none' value.

  See Also:
    Constant Field Values

### VALUE_ACCEPTED

    public static final int VALUE_ACCEPTED

  This value represents the 'accepted' value.

  See Also:
    Constant Field Values

### VALUE_DECLINED

    public static final int VALUE_DECLINED

  This value represents the 'declined' value.

  See Also:
    Constant Field Values

### VALUE_TENTATIVE

    public static final int VALUE_TENTATIVE

  This value represents the 'tentative' value.

  See Also:
    Constant Field Values

### VALUE_DELEGATED

    public static final int VALUE_DELEGATED

  This value represents the 'delegated' value.

  See Also:
    Constant Field Values

### VALUE_COUNTERED

    public static final int VALUE_COUNTERED

  This value represents the 'countered' value.

  See Also:
    Constant Field Values

### VALUE_RESERVATION_ACCEPTED

    public static final int VALUE_RESERVATION_ACCEPTED

  This value represents the 'reservation accepted' value.

  See Also:
    Constant Field Values

### VALUE_RESERVATION_DECLINED

    public static final int VALUE_RESERVATION_DECLINED

  This value represents the 'reservation declined' value.

  See Also:
    Constant Field Values

### VALUE_RESERVATION_TENTATIVE

    public static final int VALUE_RESERVATION_TENTATIVE

  This value represents the 'reservation tentative' value.

  See Also:
    Constant Field Values

### NONE

    public static final MeetingAttendanceTracking.MeetingResponseStatus NONE

  This value represents a 'none' meeting response status.

### ACCEPTED

    public static final MeetingAttendanceTracking.MeetingResponseStatus ACCEPTED

  This value represents an 'accepted' meeting response status.

### DECLINED

    public static final MeetingAttendanceTracking.MeetingResponseStatus DECLINED

  This value represents a 'declined' meeting response status.

### TENTATIVE

    public static final MeetingAttendanceTracking.MeetingResponseStatus TENTATIVE

  This value represents a 'tentative' meeting response status.

### DELEGATED

    public static final MeetingAttendanceTracking.MeetingResponseStatus DELEGATED

  This value represents a 'delegated' meeting response status.

### COUNTERED

    public static final MeetingAttendanceTracking.MeetingResponseStatus COUNTERED

  This value represents a 'countered' meeting response status.

### RESERVATION_ACCEPTED

    public static final MeetingAttendanceTracking.MeetingResponseStatus RESERVATION_ACCEPTED

  This value represents a 'reservation accepted' meeting response status.

### RESERVATION_DECLINED

    public static final MeetingAttendanceTracking.MeetingResponseStatus RESERVATION_DECLINED

  This value represents a 'reservation declined' meeting response status.

### RESERVATION_TENTATIVE

    public static final MeetingAttendanceTracking.MeetingResponseStatus RESERVATION_TENTATIVE

  This value represents a 'reservation tentative' meeting response status.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (resource name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the meeting response status.

  Returns:
    the value

### get

    public static MeetingAttendanceTracking.MeetingResponseStatus get(int iValue)

  Gets the meeting response status by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching meeting response status or `null` if not found

### getMeetingResponseStatuss

    public static java.util.List getMeetingResponseStatuss()

  Gets the list of meeting response status objects.

  Returns:
    the list of `MeetingResponseStatus` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.